curl --request GET \
--url https://api.anchorage-staging.com/v3/wallet-operations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallet-operations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallet-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2024-01-15T10:30:00Z",
"networkId": "ETH",
"status": "PENDING",
"walletOperationId": "op_550e8400-e29b-41d4-a716-446655440000",
"expectedTransactionHash": "0xabcd1234567890abcdef1234567890abcdef1234567890abcdef1234567890ab",
"failureReason": "<string>",
"signedTransaction": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List Wallet Operations
Permissions required: Read vault activity
List wallet operations with optional filtering.
Wallet operations represent transactions that your organization signed. This includes transfers, staking operations, and other specialized transactions.
For an operation you created through the v3 endpoints, COMPLETED means the transaction was signed and returned to you. These endpoints do not broadcast, so it reaches the network only once you broadcast it. expectedTransactionHash, when present, is predicted before broadcast and may differ from the final hash.
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallet-operations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallet-operations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallet-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2024-01-15T10:30:00Z",
"networkId": "ETH",
"status": "PENDING",
"walletOperationId": "op_550e8400-e29b-41d4-a716-446655440000",
"expectedTransactionHash": "0xabcd1234567890abcdef1234567890abcdef1234567890abcdef1234567890ab",
"failureReason": "<string>",
"signedTransaction": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
1 <= x <= 100Filter by vault ID
Filter by wallet ID
A unique string identifying a combination of blockchain and environment (testnet, mainnet).
Filter by wallet operation status (PENDING, COMPLETED, FAILED)
Was this page helpful?